## ruby-fast-stemmer 1.0.1

=== debian/changelog ===
ruby-fast-stemmer (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #672505)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 10 May 2012 02:18:56 +0900
