=== debian/control ===
Source: ruby-fast-stemmer
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.13~), rake
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-fast-stemmer.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-fast-stemmer.git;a=summary
Homepage: http://github.com/romanbsd/fast-stemmer
XS-Ruby-Versions: all

Package: ruby-fast-stemmer
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Conflicts: ruby-stemmer
Description: Fast Porter stemmer based on a C version of algorithm for Ruby
 Fast-stemmer is simply a wrapping around multithreaded Porter stemming
 algorithm.
 .
 This gem adds a String::stem method, and it's in order of magnitude
 faster (and uses much less memory) than the pure Ruby implementation of
 stemmer.
