## ruby-fast-stemmer 1.0.2

=== debian/changelog ===
ruby-fast-stemmer (1.0.2-2build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:44 +0000

ruby-fast-stemmer (1.0.2-2) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Youhei SASAKI ]
  * d/changelog: remove trailing-whitespace
  * d/watch: use github as upstream
  * d/copyright: fix insecure-copyright-format-uri
  * d/control: update Vcs-{Git,Browser}. use salsa
  * d/{control,compat}: Bump compat 12
  * d/control: Bump Standard Version 4.4.0
  * d/tests/control, d/ruby-tests.rake: Enable autopkgtest

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 08 Aug 2019 17:18:28 +0900

ruby-fast-stemmer (1.0.2-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields
  * debian/copyright:
    use DEP5 copyright-format/1.0 official URL for Format field

  [ Youhei SASAKI ]
  * Imported Upstream version 1.0.2
  * Bump Standard Version: 3.9.4

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 06 Aug 2013 00:26:46 +0900
