=== debian/control ===
Source: ruby-fast-stemmer
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 12~),
               gem2deb,
               rake
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fast-stemmer.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fast-stemmer/
Homepage: https://github.com/romanbsd/fast-stemmer
XS-Ruby-Versions: all

Package: ruby-fast-stemmer
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ruby-stemmer
Description: Fast Porter stemmer based on a C version of algorithm for Ruby
 Fast-stemmer is simply a wrapping around multithreaded Porter stemming
 algorithm.
 .
 This gem adds a String::stem method, and it's in order of magnitude
 faster (and uses much less memory) than the pure Ruby implementation of
 stemmer.
